WayloAIWaylo Docs
APIReferenceDeliveries

List deliveries

GET
/deliveries

Deliveries in one workspace, offset-paginated, newest first. Narrow to a destination, a session or a status.

Access: workspace_viewer · API key sessions:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Query Parameters

page?number
Range1 <= value <= 10000
Default1
limit?number
Range1 <= value <= 100
Default25
orderDirection?string
Default"desc"
Value in"asc""desc"
workspaceId*string
Formatuuid
destinationId?string
Formatuuid
sessionId?string
Formatuuid
status?string
Value in"pending""sending""delivered""failed"
orderBy?string
Value in"createdAt""status""attempts""deliveredAt"

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/deliveries?workspaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",    "destinationId": "d0a0ebc7-d6b4-4f3c-a5af-5761a8148e3a",    "destinationName": "string",    "sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459",    "type": "order_note",    "status": "pending",    "attempts": 0,    "lastError": "string",    "nextAttemptAt": "2019-08-24T14:15:22Z",    "deliveredAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]